
/*======================== 导航条代码 =====================*/
$(function(){
	var special_url = new Array("news","doc","customer","db","user");	/*特殊链接选定首页菜单栏*/   
		   
	var menu_url=new Array();/*定义读取全部菜单栏链接地址的数组*/
    $(".menu>li>a").each(function(i){ menu_url[i]=this.href; });
	
		
	var url=window.location.href;/*获取地址栏地址*/
	var arr1=url.split("/") /*将地址栏地址以斜杆分割编成数组*/
	var len1=arr1.length;/*数组1长度*/
	var now;/*地址栏的比较对象*/
    var menu;/*菜单栏的比较对象*/
	
	/*初步确定地址栏的比较对象*/
	if(arr1[len1-1]==""||arr1[len1-1]=="index.php")
	{
		 now=arr1[len1-2];
	}
	else
	{
		 now=arr1[len1-1];	
	}
	
	var num=$(".menu>li>a").length;/*获取菜单栏数*/ 
	for(var i=0;i<num;i++)
	{	
		 if(menu_url[i].indexOf(now)<0)
		 {
			 if($.inArray(url,menu_url)==-1)
			 {  
                now=arr1[len1-2];
			 }		 
			 if($.inArray(now,special_url)!=-1)
			 {
			 	$(".menu>li>a").eq(0).parent().attr("class","current")
			 	$(".menulink>div").eq(0).children().eq(0).parent().attr("class","current");	
				return;
			 }
		 }		
         var arr2=menu_url[i].split("/")/*将当前菜单栏的链接地址以斜杆分割编成数组*/	
		 var len2=arr2.length;/*数组2长度*/
 
		 /*确定菜单栏的比较对象*/		 
		 if(arr2[len2-1]==""||arr2[len2-1]=="index.php")
		 {
			menu=arr2[len2-2];
		 }
		 else
		 {
			menu=arr2[len2-1];
	  	 }	
         
		 if(menu==now)
		 {
			 $(".menu>li>a").eq(i).parent().attr("class","current")
			 $(".menulink>div").eq(i).children().eq(0).parent().attr("class","current");
		 }
	 }
	 
})

function opnew(){window.location.href("/user/");}


/*======================== 边栏子菜单代码 =====================*/
$(function(){
	var menu_url=new Array();/*定义读取全部菜单栏链接地址的数组*/
    $(".menu>li>a").each(function(i){ menu_url[i]=this.href; })
		
	var url=window.location.href;/*获取地址栏地址*/
	var arr1=url.split("/") /*将地址栏地址以斜杆分割编成数组*/
	var len1=arr1.length;/*数组1长度*/
	
	var subnow;/*地址栏的比较对象*/
	var submenu; /*子菜单栏的比较对象*/
	
	var sub_url=new Array(); /*定义读取全部子菜单栏链接地址的数组*/
	$(".submenu>.bx-c>.content>a").each( function(i){ sub_url[i]=this.href; });
	
	
	if(arr1[len1-1]==""||arr1[len1-1]=="index.php")
	{
		 subnow=arr1[len1-2];
	}
	else
	{
		 subnow=arr1[len1-1];	
	}	
	 
	var links=$(".submenu>.bx-c>.content>a").length;/*获取子菜单栏数*/
	for(var j=0;j<links;j++)
	{ 
         var arr3=sub_url[j].split("/");/*将当前子菜单栏的链接地址以斜杆分割编成数组*/	
		 var len3=arr3.length;/*数组3长度*/	
		 
		 /*确定子菜单的比较对象*/
		 if(arr3[len3-1]==""||arr3[len3-1]=="index.php")
		 {
			 submenu=arr3[len3-2]
	  	 }
		 else
		 {
			 submenu=arr3[len3-1];	
		 }
		 if(submenu==subnow)
		 {
			 $(".submenu>.bx-c>.content>a").eq(j).attr("class","hot")
		 }		
	}

})


/*===================== 广告代码 =====================




$(window).load(function(){
	var theimg = new Image();
    theimg.src = $(".slide-content>li").eq(0).children("a").children("img").attr("src");
	var radio=theimg.height/theimg.width;
	var w=$(".slide-content").width();
	var h=w*radio;

	$(".slide-content>li>a>img").css({"width":w+"px"});
	$(".slide-content>li>a>img").css({"height":h+"px"});
	$(".slide-content>li").css({"width":w+"px"});
	$(".slide-content>li").css({"height":h+"px"});
	$(".slide-content").css({"width":w+"px"});
	$(".slide-content").css({"height":h+"px"});
	$(".slide-wrap").css({"width":w+"px"});	
	$(".slide-wrap").css({"height":h+"px"});
	

	$('.slide-wrap').slide({
	effect:'fade',
	speed:500,
	auto:3000,
	isNav: true
	});	  
	
})*/

/*================= 内部表格样式代码 ================*/
$(function(){
	$(document).ready(function(){$(".intable tr:odd").addClass("trbg");});
})

/*================== 新闻列表模块与前一个相邻元素合并 ===================*/
$(function(){
    $(".tabNews").prev().css({"margin-bottom":0,
							   "border-bottom":0,
							   "border-top":"2px solid #CB0000"})
	$(".tabNews").prev().children(".bx-c").css({"padding-bottom":0,"background":"none"})
})


/*================== 新闻列表模块头两条显示红色 ===================*/
$(function(){
	$(".tabNews .list>li").eq(0).children("a").css({"color":"red"})
	$(".tabNews .list>li").eq(1).children("a").css({"color":"red"})		   
	$(".index #side .bx .list>li").eq(0).children("a").css({"color":"red"})
	$(".index #side .bx .list>li").eq(1).children("a").css({"color":"red"})
})

